# Mob Heads

## Features
**1.** Adds a head for every mob and mob variant in the game
--> over 170 different heads

**2.** Custom sound for all heads when placed on note blocks

**3.** Configure if the heads should not drop or drop
--> More is coming soon!

## Config

**Change the drop condition for the heads:**


```
/scoreboard players set &drop_condition mobheads.config value
```

value = 0 = no head drops at all

value = 1 = heads will always drop when a mob dies --> default value

##

**WIP - Coming with next update**

value = 2 = heads only drop when the mob was killed by a player


## Next Updates

**1.** Function to give yourself any head you want

**2.** Setting to change if the heads should only be dropped when the mob was killed by a player

##
  <picture>
     <source media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/Mqxx/GitHub-Markdown/main/blockquotes/badge/light-theme/info.svg">
    <img alt="Info" src="https://raw.githubusercontent.com/Mqxx/GitHub-Markdown/main/blockquotes/badge/dark-theme/info.svg">
   </picture><br>

<details>
<summary>Installation</summary>
  
<picture>
   <source media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/Mqxx/GitHub-Markdown/main/blockquotes/badge/light-theme/warning.svg">
   <img alt="Warning" src="https://raw.githubusercontent.com/Mqxx/GitHub-Markdown/main/blockquotes/badge/dark-theme/warning.svg">
 </picture><br>

 Make sure to have the correct version for your world/server

## Datapack

### Singleplayer

<kbd>WIN</kbd> + <kbd>R</kbd> --> `.minecraft` --> `saves` --> `YourWorldName` --> `datapacks`

Put the datapack inside the `datapacks` folder

do `/reload`

### Server

`ServerName` --> `data` --> `world` --> `datapacks`

Put the datapack inside the `datapacks` folder

do `/reload`

## Mod

### Singleplayer

<kbd>WIN</kbd> + <kbd>R</kbd> --> `.minecraft` --> `saves` --> `YourWorldName` --> `mods`

Put the mod inside the `mods` folder

restart your game

### Server

`ServerName` --> `data` --> `mods`

Put the mod inside the `mods` folder

restart the server

</details>

## Showcase

<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/xsZPlTAnR1E" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

##


## Drop chances for 1.21

**0.01 - 1%**
- cave spider
- enderman
- skeleton
- zombie
- invulnerable wither skull

**0.02 - 2%**
- blaze
- sheep (heads for all 16 different colors)
- cow
- drowned
- iron golem
- pig
- snow golem
- spider
- witch
- creeper

**0.035 - 3.5%**
- chicken
- evoker
- husk
- piglin
- slime
- squid

**0.1 - 10%**
- villager (snow, savanna, plains, desert, jungle, taiga, + all professions)
- bee
- rabbit (brown, white, gold, salt, black, white splotched, evil)
- horse (white, creamy, chestnut, brown, black, gray, dark_brown)
- llama (white, creamy, gray, brown)
- mooshroom (red, brown)
- cod
- frog (cold, temperate, warm)
- donkey
- endermite
- ghast
- goat
- guardian
- hoglin
- mule
- phantom
- piglin brute
- pillager
- pufferfish
- salmon
- shulker
- silverfish
- strider
- stray
- tropical fish
- turtle
- wolf (woods, spotted, striped, snowy, rusty, pale, chestnut, black, ashen)
- zombified villager (snow, savanna, plains, desert, jungle, taiga, + all professions)
- zombified piglin
- bogged
- magma cube

**0.3 - 30%**
- bat
- trader llama (white, creamy, gray, brown)
- dolphin
- glow squid
- ocelot
- polar bear
- ravager
- fox (red, snow)
- skeleton horse
- vex
- vindicator
- zombie horse
- armadillo
- breeze
- camel
- tadpole
- illusioner

**0.5 - 50%**
- cat (all black, black, british shorthair, calico, jellie, persian, ragdoll, red, siamese, - tabby, white) 
- allay
- axolotl (pink, wild, gold, cyan)
- elder guardian
- panda (normal, weak)
- zoglin

**0.7 - 70%**
- parrot (red, blue, cyan, gray, green)
- wandering trader
- sniffer
- panda (aggressive, lazy, worried, playful, brown)

**0.95 - 95%**
- charged creeper
- warden
- wither
- ender dragon
- blue axolotl


##

<details>
<summary>Drop chances for 1.20.4 and 1.20.5-6</summary>

You can use <kbd>Ctrl</kbd> + <kbd>F</kbd> to search

### Common = 0.02 = 2%

- Chicken
- Cow
- Cave Spider
- Creeper
- Pig
- Sheep (different heads for all colors)
- Skeleton
- Spider
- Zombie
- Snow Golem
- Iron Golem

### Rare = 0.1 = 10 %
- Bat
- Bee
- Blaze
- Bogged
- Cod
- Donkey
- Drowned
- Enderman
- Evoker
- Frog (variants: cold, temperate, warm) 
- Glow Squid
- Guardian
- Hoglin
- Horse (variants: white, creamy, chestnut, brown, black, gray, dark_brown)
- Husk
- Llama (variants: white, creamy, gray, bronw)
- Magma Cube
- Mooshroom (variants: red, brown)
- Mule
- Phantom
- Piglin
- Pillager
- Pufferfish
- Salmon
- Slime
- Squid
- Tropical Fish 
- Villager (snow, savanna, plains, desert, jungle, taiga)
- Witch
- Wolf (woods, spotted, striped, snowy, rusty, pale, chestnut, black, ashen)

### Epic 0.2 = 20 % 
- Armadillo
- Allay
- Axolotl (variants: pink, wild, gold, cyan, blue)
- Breeze (1.20.5)
- Camel
- Cat (variants: all black, black, british shorthair, calico, jellie, persian, ragdoll, red, siamese, tabby, white)
- Dolphin
- Elder Guardian
- Endermite
- Fox (variants: red, snow)
- Ghast
- Goat
- Illusioner (not in game)
- Ocelot
- Parrot (variants: red, blue, cyan, gray, green)
- Piglin Brute
- Polar Bear
- Rabbit (variants: brown, white, gold, salt, black, white splotched, evil)
- Ravager
- Shulker
- Silverfish
- Skeleton Horse
- Stray
- Strider
- Trader Llama (variants: white, creamy, gray, bronw)
- Turtle
- Vex
- Vindicator
- Wandering Trader
- Zoglin
- Zombie Horse 
- Zombie Villager
- Zombified Piglin

### Legendary 0.3 = 30%
- Sniffer
- Warden
- Panda (variants: normal, lazy, worried, playful, weak, aggressive)


### Mythic 0.5 = 50%
- Enderdragon 
- Wither 
- Brown Panda

</details>

##

_In the datapack, you can edit these chances by changing the value in:_


```
data/minecraft/loot_tables/entities/entity.json
```


_in there, look fore "name": "minecraft:player_head" and change the "chance" to the value you want it to drop_

---

## Datapack created by Jodek published on modrinth: https://modrinth.com/user/Jodek

<picture>
   <source media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/Mqxx/GitHub-Markdown/main/blockquotes/badge/light-theme/tip.svg">
  <img alt="Tip" src="https://raw.githubusercontent.com/Mqxx/GitHub-Markdown/main/blockquotes/badge/dark-theme/tip.svg">
 </picture><br>
 
Questions or issues? -> [discord server](https://discord.gg/z2n3qTzQY6) | _or create an issue on github_
